Subject: Re: [PWE3] l2vpn signaling (LDP/CR-LDP/RSVP-TE)

From: Chris Chase <[email-masked]>
Date: Fri, 30 Jan 2004 11:56:26 -0500

How well are edge nodes going to scale for a full mesh of targeted LDP 
sessions?  I keep hearing from vendors about connection limits on their 
TCP stacks.  Whether it is BGP for CE-PE connections in 2547 services or 
targeted LDP for PWE, it seems there are constant pressures on the 
number of connections vendors can support.

With RSVP for the vc label signaling I don't see the connection 
constrains from a full mesh.  A couple years ago Andy Malis told me that 
not looking at RSVP was simply because implementations were already 
starting down the LDP road.

Chris Chase

On 1/15/2004 1:35 PM, Kireeti Kompella wrote:

>On Thu, 15 Jan 2004 [email-masked] wrote:
>
>  
>
>>This forces any edge equipment to support both RSVP-TE and LDP.
>>    
>>
>
>True, if the TE LSPs extend all the way to the PEs.  However, I'm not
>aware of edge equipment that supports LDP but not RSVP-TE (or vice
>versa).
>
>  
>
>>Have the WGs considered a PWE3/VPLS signaling using RSVP?
>>    
>>
>
>If you believe that PWE3 signaling should be point-to-point (and the
>favorite example is carrying bandwidth/QoS information), yes, RSVP
>would be a fine vehicle.  Note that the LSP hierarchy draft introduces
>the notion of 'targeted RSVP sessions', if you squint just right.
>
>The argument for doing VPLS with RSVP is weaker.
>
>Kireeti.
>-------
>
>_______________________________________________
>pwe3 mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/pwe3
>  
>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 03 Feb 2004 11:27:54 -0500

Hi Chris, it's always pleasant to be quoted!

At the time the Martini work started, "targeted RSVP" wasn't on anybody's 
radar screen.  As Kireeti points out, in hindsight it probably would have 
worked just fine.  In practice using LDP over TCP, I can't speak for anyone 
else, but we've found in our own implementation (both in testing and in the 
field) that scaling hasn't been a problem for tens of thousands of 
sessions/circuits, and we're continually raising the limits on our testing.

Cheers,
Andy

-----------

At 1/30/2004 11:56 AM -0500, Chris Chase wrote:
>targeted LDP for PWE, it seems there are constant pressures on the number 
>of connections vendors can support.
>
>With RSVP for the vc label signaling I don't see the connection constrains 
>from a full mesh.  A couple years ago Andy Malis told me that not looking 
>at RSVP was simply because implementations were already starting down the 
>LDP road.
>
>Chris Chase